Rysunek Roboczy: Odbicie lustrzane
|
Menu location |
---|
Modification → Mirror |
Workbenches |
Draft, Arch |
Default shortcut |
M I |
Introduced in version |
- |
See also |
Draft Clone |
Description
The Draft Mirror command creates mirrored copies, Part Mirror objects, from selected objects. A Part Mirror object is parametric, it will update if its source object changes.
The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.
Mirroring an object
Usage
See also: Draft Snap and Draft Constrain.
- Optionally select one or more objects.
- There are several ways to invoke the command:
- Press the
Draft Mirror button.
- Select the Modification →
Mirror option from the menu.
- Use the keyboard shortcut: M then I.
- Press the
- If you have not yet selected an object: select an object in the 3D view.
- The Mirror task panel opens. See Options for more information.
- Pick the first point of the mirror plane in the 3D view, or type coordinates and press the
Enter point button.
- Pick the second point of the mirror plane in the 3D view, or type coordinates and press the
Enter point button.
- The mirror plane is defined by the selected points and the normal of the Draft working plane.
Options
The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Notes
- Mirrored copies of Draft Lines, Draft Wires, Draft Arcs and Draft Circles can be turned into independent editable Draft objects by using Draft Downgrade and then Draft Upgrade.
- The Part SimpleCopy command can be used to create a copy of a mirrored object that is not linked to its source object.
Preferences
See also: Preferences Editor and Draft Preferences.
- To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
Properties
See also: Property editor.
A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Base
- DANESource (
Link
): specifies the object that is mirrored.
Plane
- DANEBase (
Vector
): specifies the base point of the mirror plane. - DANENormal (
Vector
): specifies the normal direction of the mirror plane.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To mirror objects use the mirror
method of the Draft module.
mirrored_list = mirror(objlist, p1, p2)
objlist
contains the objects to be mirrored. It is either a single object or a list of objects.p1
is the first point of the mirror plane.p2
is the second point of the mirror plane.- If the Draft working plane is available the alignment of the mirror plane is determined by its normal, else the view direction of the camera in the active 3D view is used. If the graphical interface is not available the Z axis is used.
mirrored_list
is returned with the newPart::Mirroring
objects. It is either a single object or a list of objects, depending onobjlist
.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)
p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)
line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)
Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)
doc.recompute()
- Kreślenie: Linia, Polilinia, Zaokrąglenie, Łuk, Łuk przez 3 punkty, Okrąg, Elipsa, Wielokąt foremny, Krzywa złożona, Krzywa Bezier'a, Punkt, Łącznik ścian, Kształt z tekstu, Kreskowanie, Prostokąt
- Adnotacje: Adnotacja wieloliniowa, Wymiarowanie, Etykieta, Edytor stylów adnotacji, Widżet skali anotacji
- Modyfikacja: Przesuń, Obróć, Skala, Odbicie lustrzane, Odsunięcie, Przytnij, Rozciągnij, Klonuj, Szyk, Szyk biegunowy, Szyk kołowy, Szyk po ścieżce, Szyk powiązań po ścieżce, Szyk z punktów, Szyk powiązań w punktach, Edycja, Podświetl element podrzędny, Połącz, Rozdziel, Ulepsz kształt, Rozbij obiekt na elementy, Polilinia na krzywą złożoną, Rysunek Roboczy do szkicu, Nachylenie, Obróć wymiar, Widok 2D kształtu
- Tacka narzędziowa: Wybór płaszczyzny, Ustaw styl, Przełącz tryb konstrukcyjny, Grupowanie automatyczne
- Przyciąganie: Przełącz przyciąganie, Przyciągnij do punktu końcowego, Przyciągnij do punktu środkowego, Przyciągnij do środka, Przyciągnij do kąta, Przyciąganie do punktu przecięcia, Przyciągnij prostopadle, Rozszerz, Przyciągnij równolegle, Przyciągnij specjalnie, Przyciąganie do najbliższego, Przyciągnij ortogonalnie, Przyciągnij do siatki, Przyciągnij do płaszczyzny roboczej, Przyciągnij do wymiaru, Pokaż / ukryj siatkę
- Różności: Warstwa, Dodaj grupę o nazwie, Dodaj do grupy, Wybierz grupę, Dodaj do grupy konstrukcyjnej, Przełącz tryb wyświetlania, Pośrednia płaszczyzna robocza, Zastosuj bieżący styl, Ulecz, Przełącz tryb kontynuacji, Pokaż przybornik przyciągania
- Dodatkowe:: Wiązania, Wypełnienie wzorem, Preferencje, Ustawienia Importu i Eksportu, DXF/DWG, SVG, OCA, DAT
- Menu podręczne:
- Kontener warstwy: Połącz duplikaty warstw, Dodaj warstwę
- Warstwa: Aktywuj warstwę, Zaznacz zawartość warstwy
- Pośrednia płaszczyzna robocza: Zapisz ujęcie widoku, Zapisz stan obiektów

- Jak zacząć
- Instalacja: Pobieranie programu, Windows, Linux, Mac, Dodatkowych komponentów, Docker, AppImage, Ubuntu Snap
- Podstawy: Informacje na temat FreeCAD, Interfejs użytkownika, Profil nawigacji myszką, Metody wyboru, Nazwa obiektu, Edytor ustawień, Środowiska pracy, Struktura dokumentu, Właściwości, Pomóż w rozwoju FreeCAD, Dotacje
- Pomoc: Poradniki, Wideo poradniki
- Środowiska pracy: Strona Startowa, Architektura, Rysunek Roboczy, MES, Inspekcja, Siatka, OpenSCAD, Część, Projekt Części, Path, Punkty, Inżynieria Wsteczna, Robot, Szkicownik, Arkusz Kalkulacyjny, Start, Powierzchnia 3D, Rysunek Techniczny, Test Framework, Web